import { TestSession } from './TestSession';
import { TestRunnerConfig } from './TestRunnerConfig';
import { EventEmitter } from './utils';
import { TestCoverage } from './getTestCoverage';
import { TestSessionManager } from './TestSessionManager';
interface EventMap {
    'test-run-started': {
        testRun: number;
        sessions: Iterable<TestSession>;
    };
    'test-run-finished': {
        testRun: number;
        testCoverage?: TestCoverage;
    };
    quit: undefined;
}
export declare class TestRunner extends EventEmitter<EventMap> {
    config: TestRunnerConfig;
    sessions: TestSessionManager;
    browserNames: string[];
    testFiles: string[];
    favoriteBrowser: string;
    startTime: number;
    testRun: number;
    started: boolean;
    stopped: boolean;
    focusedTestFile: string | undefined;
    private browsers;
    private scheduler;
    constructor(config: TestRunnerConfig, testFiles: string[]);
    start(): Promise<void>;
    runTests(sessions: Iterable<TestSession>): Promise<void>;
    stop(): Promise<void>;
    startDebugFocusedTestFile(): void;
    quit(error?: any): Promise<void>;
    private onSessionFinished;
}
export {};
