"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getWatchCommands = void 0;
const chalk_1 = __importDefault(require("chalk"));
const TestRunnerCli_1 = require("./TestRunnerCli");
function getWatchCommands(activeMenu, focusedTest) {
    switch (activeMenu) {
        case TestRunnerCli_1.MENUS.OVERVIEW:
            if (focusedTest) {
                return [
                    `${chalk_1.default.gray('Press')} F ${chalk_1.default.gray('to focus another test file.')}`,
                    `${chalk_1.default.gray('Press')} D ${chalk_1.default.gray('to debug in the browser.')}`,
                    `${chalk_1.default.gray('Press')} Q ${chalk_1.default.gray('to exit watch mode.')}`,
                    `${chalk_1.default.gray('Press')} Enter ${chalk_1.default.gray('to re-run this test file.')}`,
                    `${chalk_1.default.gray('Press')} ESC ${chalk_1.default.gray('to exit focus mode')}`,
                ];
            }
            return [
                `${chalk_1.default.gray('Press')} F ${chalk_1.default.gray('to focus on a test file.')}`,
                `${chalk_1.default.gray('Press')} D ${chalk_1.default.gray('to debug in the browser.')}`,
                `${chalk_1.default.gray('Press')} Q ${chalk_1.default.gray('to quit watch mode.')}`,
                `${chalk_1.default.gray('Press')} Enter ${chalk_1.default.gray('to re-run all tests.')}`,
            ];
        case TestRunnerCli_1.MENUS.FOCUS_SELECT_FILE:
        case TestRunnerCli_1.MENUS.DEBUG_SELECT_FILE:
            return [
                `${chalk_1.default.gray('Press')} Q ${chalk_1.default.gray('to exit watch mode.')}`,
                `${chalk_1.default.gray('Press')} ESC ${chalk_1.default.gray('to exit focus mode')}`,
            ];
        default:
            return [];
    }
}
exports.getWatchCommands = getWatchCommands;
//# sourceMappingURL=getWatchCommands.js.map